aboutsummaryrefslogtreecommitdiff
path: root/network
diff options
context:
space:
mode:
authorShahab Vahedi <list+sbo@vahedi.org>2024-10-17 15:50:05 +0700
committerWilly Sudiarto Raharjo <willysr@slackbuilds.org>2024-10-17 15:58:54 +0700
commit0c867313ee5cd6aa9779562b71cec6e39a933bdf (patch)
treed31430fbf3f3ab38c721564e50a3855b8144b0bd /network
parenteccddd8eedb2acd718fb276fb721df69fe644ab7 (diff)
network/mktorrent: New maintainer (moved from system).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'network')
-rw-r--r--network/mktorrent/README4
-rw-r--r--network/mktorrent/mktorrent.SlackBuild106
-rw-r--r--network/mktorrent/mktorrent.info12
-rw-r--r--network/mktorrent/slack-desc19
4 files changed, 141 insertions, 0 deletions
diff --git a/network/mktorrent/README b/network/mktorrent/README
new file mode 100644
index 000000000000..d1aeb8fc5803
--- /dev/null
+++ b/network/mktorrent/README
@@ -0,0 +1,4 @@
+mktorrent is a command line utility to create BitTorrent metainfo
+files used by trackers and torrent clients. It can create metainfo
+files for single files or complete directories in a fast way. It
+supports multiple trackers.
diff --git a/network/mktorrent/mktorrent.SlackBuild b/network/mktorrent/mktorrent.SlackBuild
new file mode 100644
index 000000000000..7cba03c6e08f
--- /dev/null
+++ b/network/mktorrent/mktorrent.SlackBuild
@@ -0,0 +1,106 @@
+#!/bin/bash
+
+# Slackware build script for mktorrent
+
+# Written by Grigorios Bouzakis (grbzks@xsmail.com)
+# Copyright 2022, Alexander Verbovetsky, Moscow, Russia
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=mktorrent
+VERSION=${VERSION:-1.1_de7d011}
+COMMIT=de7d011b35458de1472665f50b96c9cf6c303f39
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+ OPT="USE_LARGE_FILES=1"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+ OPT="USE_LARGE_FILES=1"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+ OPT=""
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+ OPT=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$COMMIT
+tar xvf $CWD/$PRGNAM-$COMMIT.tar.gz
+cd $PRGNAM-$COMMIT
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+make USE_PTHREADS=1 USE_OPENSSL=1 USE_LONG_OPTIONS=1 $OPT
+make install USE_PTHREADS=1 USE_OPENSSL=1 USE_LONG_OPTIONS=1 $OPT \
+ PREFIX=/usr DESTDIR=$PKG
+
+rm -f $PKG/{,usr/}lib${LIBDIRSUFFIX}/*.la
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/man/man1
+gzip -9 -c $CWD/mktorrent.1 > $PKG/usr/man/man1/mktorrent.1.gz
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a CHANGELOG.md README $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/network/mktorrent/mktorrent.info b/network/mktorrent/mktorrent.info
new file mode 100644
index 000000000000..7f3e22463270
--- /dev/null
+++ b/network/mktorrent/mktorrent.info
@@ -0,0 +1,12 @@
+PRGNAM="mktorrent"
+VERSION="1.1_de7d011"
+HOMEPAGE="https://github.com/pobrn/mktorrent"
+DOWNLOAD="https://github.com/pobrn/mktorrent/archive/de7d011/mktorrent-de7d011b35458de1472665f50b96c9cf6c303f39.tar.gz \
+ https://salsa.debian.org/debian/mktorrent/-/raw/debian/latest/debian/mktorrent.1"
+MD5SUM="f01f104a052f2e0f257ebc01434caf4f \
+ f99f7416ea847d5f6a01134fe5efa3f2"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Shahab Vahedi"
+EMAIL="list+sbo@vahedi.org"
diff --git a/network/mktorrent/slack-desc b/network/mktorrent/slack-desc
new file mode 100644
index 000000000000..dc98c0e23bff
--- /dev/null
+++ b/network/mktorrent/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+mktorrent: mktorrent (Console .torrent file creator)
+mktorrent:
+mktorrent: mktorrent is a command line utility to create BitTorrent metainfo
+mktorrent: files used by trackers and torrent clients. It can create metainfo
+mktorrent: files for single files or complete directories in a fast way. It
+mktorrent: supports multiple trackers.
+mktorrent:
+mktorrent:
+mktorrent: Homepage: https://github.com/pobrn/mktorrent
+mktorrent:
+mktorrent: